<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>doclets/standard/functionWriter.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/doclets/standard/functionwriter.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>doclets/standard/functionWriter.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>/*
<a name="line3"></a>PHPDoctor: The PHP Documentation Creator
<a name="line4"></a>Copyright (C) 2004 Paul James <paul@peej.co.uk>
<a name="line5"></a>
<a name="line6"></a>This program is free software; you can redistribute it and/or modify
<a name="line7"></a>it under the terms of the GNU General Public License as published by
<a name="line8"></a>the Free Software Foundation; either version 2 of the License, or
<a name="line9"></a>(at your option) any later version.
<a name="line10"></a>
<a name="line11"></a>This program is distributed in the hope that it will be useful,
<a name="line12"></a>but WITHOUT ANY WARRANTY; without even the implied warranty of
<a name="line13"></a>MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
<a name="line14"></a>GNU General Public License for more details.
<a name="line15"></a>
<a name="line16"></a>You should have received a copy of the GNU General Public License
<a name="line17"></a>along with this program; if not, write to the Free Software
<a name="line18"></a>Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
<a name="line19"></a>*/
<a name="line20"></a>
<a name="line21"></a>/** This generates the HTML API documentation for each global function.
<a name="line22"></a> *
<a name="line23"></a> * @package PHPDoctor\Doclets\Standard
<a name="line24"></a> */
<a name="line25"></a>class FunctionWriter extends HTMLWriter
<a name="line26"></a>{
<a name="line27"></a>
<a name="line28"></a>	/** Build the function definitons.
<a name="line29"></a>	 *
<a name="line30"></a>	 * @param Doclet doclet
<a name="line31"></a>	 */
<a name="line32"></a>	function functionWriter(&$doclet)
<a name="line33"></a>    {
<a name="line34"></a>	
<a name="line35"></a>		parent::HTMLWriter($doclet);
<a name="line36"></a>		
<a name="line37"></a>		$this->_id = 'definition';
<a name="line38"></a>
<a name="line39"></a>		$rootDoc =& $this->_doclet->rootDoc();
<a name="line40"></a>        
<a name="line41"></a>        $packages =& $rootDoc->packages();
<a name="line42"></a>        ksort($packages);
<a name="line43"></a>
<a name="line44"></a>		foreach($packages as $packageName => $package) {
<a name="line45"></a>
<a name="line46"></a>			$this->_sections[0] = array('title' => 'Overview', 'url' => 'overview-summary.html');
<a name="line47"></a>			$this->_sections[1] = array('title' => 'Namespace', 'url' => $package->asPath().'/package-summary.html');
<a name="line48"></a>			$this->_sections[2] = array('title' => 'Function', 'selected' => TRUE);
<a name="line49"></a>			//$this->_sections[3] = array('title' => 'Use');
<a name="line50"></a>			$this->_sections[4] = array('title' => 'Tree', 'url' => $package->asPath().'/package-tree.html');
<a name="line51"></a>			if ($doclet->includeSource()) $this->_sections[5] = array('title' => 'Files', 'url' => 'overview-files.html');
<a name="line52"></a>			$this->_sections[6] = array('title' => 'Deprecated', 'url' => 'deprecated-list.html');
<a name="line53"></a>			$this->_sections[7] = array('title' => 'Todo', 'url' => 'todo-list.html');
<a name="line54"></a>			$this->_sections[8] = array('title' => 'Index', 'url' => 'index-all.html');
<a name="line55"></a>		
<a name="line56"></a>			$this->_depth = $package->depth() + 1;
<a name="line57"></a>
<a name="line58"></a>			ob_start();
<a name="line59"></a>
<a name="line60"></a>			echo "<hr>\n\n";
<a name="line61"></a>
<a name="line62"></a>			echo "<h1>Functions</h1>\n\n";
<a name="line63"></a>					
<a name="line64"></a>			echo "<hr>\n\n";
<a name="line65"></a>					
<a name="line66"></a>			$functions =& $package->functions();
<a name="line67"></a>				
<a name="line68"></a>			if ($functions) {
<a name="line69"></a>                ksort($functions);
<a name="line70"></a>				echo '<table id="summary_function" class="title">', "\n";
<a name="line71"></a>				echo '<tr><th colspan="2" class="title">Function Summary</th></tr>', "\n";
<a name="line72"></a>				foreach($functions as $function) {
<a name="line73"></a>					$textTag =& $function->tags('@text');
<a name="line74"></a>					echo "<tr>\n";
<a name="line75"></a>					echo '<td class="type">', $function->modifiers(FALSE), ' ', $function->returnTypeAsString(), "</td>\n";
<a name="line76"></a>					echo '<td class="description">';
<a name="line77"></a>					echo '<p class="name"><a href="#', $function->name(), '()">', $function->name(), '</a>', $function->flatSignature(), '</p>';
<a name="line78"></a>					if ($textTag) {
<a name="line79"></a>						echo '<p class="description">', strip_tags($this->_processInlineTags($textTag, TRUE), '<a><b><strong><u><em>'), '</p>';
<a name="line80"></a>					}
<a name="line81"></a>					echo "</td>\n";
<a name="line82"></a>					echo "</tr>\n";
<a name="line83"></a>				}
<a name="line84"></a>				echo "</table>\n\n";
<a name="line85"></a>
<a name="line86"></a>				echo '<h2 id="detail_function">Function Detail</h2>', "\n";
<a name="line87"></a>				foreach($functions as $function) {
<a name="line88"></a>					$textTag =& $function->tags('@text');
<a name="line89"></a>					$this->_sourceLocation($function);
<a name="line90"></a>					echo '<h3 id="', $function->name(),'()">', $function->name(), "</h3>\n";
<a name="line91"></a>					echo '<code class="signature">', $function->modifiers(), ' ', $function->returnTypeAsString(), ' <strong>';
<a name="line92"></a>					echo $function->name(), '</strong>', $function->flatSignature();
<a name="line93"></a>					echo "</code>\n";
<a name="line94"></a>                    echo '<div class="details">', "\n";
<a name="line95"></a>					if ($textTag) {
<a name="line96"></a>						echo $this->_processInlineTags($textTag), "\n";
<a name="line97"></a>					}
<a name="line98"></a>					$this->_processTags($function->tags());
<a name="line99"></a>                    echo "</div>\n\n";
<a name="line100"></a>					echo "<hr>\n\n";
<a name="line101"></a>				}
<a name="line102"></a>			}
<a name="line103"></a>
<a name="line104"></a>			$this->_output = ob_get_contents();
<a name="line105"></a>			ob_end_clean();
<a name="line106"></a>
<a name="line107"></a>			$this->_write($package->asPath().'/package-functions.html', 'Functions', TRUE);
<a name="line108"></a>		}
<a name="line109"></a>	
<a name="line110"></a>	}
<a name="line111"></a>
<a name="line112"></a>}
<a name="line113"></a>
<a name="line114"></a>?>
<a name="line115"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/doclets/standard/functionwriter.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>